//保存输入的质检率

$(document).ready(function(){
	$("#input").focus();
});

var rate;
function save(){
	
	rate = $("#input").val();
	var reg=/^\d{1,3}$/;
	if(reg.test(rate)){
		if(rate<0||rate>100){
			alert("请输入0至100的数");
			$("#input").focus();
			return;
		}
	}else{
		alert("请输入正确的数字");
		return;
	}
	
	if(isNaN(rate)){
		alert("请输入数字");
		$("#input").focus();
		return;
	}
	
	if(rate==""){
		alert("请输入数值再保存");
		$("#input").focus();
		return;
	}
	
	$.ajax({
	
		type:"POST",
		url:"saveQualityChecking.do",
		data:{"rate":rate},
		error:function(){
			alert("质检率保存失败，请稍后再试！");
			return;
		},
		success:function(data){
			alert("保存成功！");
			location.reload();
		}
		
	});
	
	
}
